import React, { Component } from 'react';
import { connect } from 'react-redux';
import { getInfo } from '../actions/sharedActions';

class Home extends Component {
    render() {
        return (
            <div className='container'>
                <h1>Welcome to BilgiTAP</h1>
                <button className='button is-primary' onClick={() => this.props.getInfo('Bak bakalım')}>Click</button>
                {this.props.info && <article className='article notification is-info'><p class="is-title">{this.props.info}</p></article>}
            </div>
        );
    }
}
const mapStateToProps = (state) => {
    return {
        info: state.shared.info
    }
};



export default connect(mapStateToProps, { getInfo })(Home);