import React from 'react';
import { applyMiddleware, createStore } from 'redux';
import thunk from 'redux-thunk';
import reducers from '../reducers';
// import { Provider } from 'react-redux';
import logger from 'redux-logger';
import promise from 'redux-promise-middleware';

const store = createStore(reducers, {}, applyMiddleware(thunk, promise(), logger));

export default store;