import { combineReducers } from 'redux';
import { reducer as formReducer } from 'redux-form';

import { userReducer } from './userReducer';

import { sharedReducer } from './sharedReducer';

const rootReducer = combineReducers({
    form: formReducer,
    user: userReducer,
    shared: sharedReducer
});

export default rootReducer;