import React, { Component } from 'react';
import logo from './logo.svg';
import './App.css';
import { Route } from 'react-router-dom';
import Home from './Components/Home';
import Header from './Components/Header';
import Footer from './Components/Footer';
import Login from './Account/Login';
import SignUp from './Account/SignUp';

const NotFound = () => {
  return <h1>Bulunamadı...</h1>;
}
const portalContainer = document.getElementById('modal');
class App extends Component {

  render() {

    return (
      <div >
        <div className='nav-fixed-top'>
          <Header />
        </div>
        <div  >
          <Route exact path='/' component={Home} />
        </div>
        <Footer />
        {ReactDOM.createPortal(<Login />, portalContainer)}
        {ReactDOM.createPortal(<SignUp />, portalContainer)}
      </div>
    );


  }
}


export default App;
