import React, { Component } from 'react';
import { Link } from 'react-router-dom';
import LoginControl from './LoginControl';

class Header extends Component {
    render() {
        return (
            <nav className="navbar">
                <div className="navbar-brand">

                    <Link className="navbar-item" to='/'><img src="http://bulma.io/images/bulma-logo.png" alt="Bulma: a modern CSS framework based on Flexbox" width="112" height="28" /> </Link>
                    <a className="navbar-item is-hidden-desktop" href="https://github.com/jgthms/bulma" target="_blank">
                        <span className="icon" >
                            <i className="fa fa-lg fa-github"></i>
                        </span>
                    </a>

                    <a className="navbar-item is-hidden-desktop" href="https://twitter.com/jgthms" target="_blank">
                        <span className="icon" >
                            <i className="fa fa-lg fa-twitter"></i>
                        </span>
                    </a>

                    <div className="navbar-burger burger" data-target="navMenuTransparentExample">
                        <span></span>
                        <span></span>
                        <span></span>
                    </div>
                </div>

                <div id="navMenuTransparentExample" className="navbar-menu">
                    <div className="navbar-start">
                        <Link className="navbar-item" to='/test'><i className="fa fa-github">Test</i></Link>

                    </div>

                    <LoginControl />
                </div>
            </nav>
        );
    }
}

export default Header;