import { auth, googleProvider } from '../Config/db';

export function getUser() {
    return dispatch => {
        auth.onAuthStateChanged(user => {
            dispatch({
                type: 'GET_USER',
                payload: user
            });
        });
    }
}
export function login(email, password) {
    return dispatch => auth.signInWithEmailAndPassword(email, password);
}


export function loginGoogle() {
    return dispatch => auth.signInWithPopup(googleProvider);
}
export function logOut() {
    return dispatch => auth.signOut();
}

export function createAccount(email, password) {
    return dispatch => auth.createUserWithEmailAndPassword(email, password);
}
export function currentUser() {
    return dispatch => auth.currentUser;
}
